# $Revision: 1.15 $, $Date: 2007-12-12 00:03:14 $
Summary:	Boost Jam - build tool
Summary(pl.UTF-8):	Boost Jam - narzędzie do budowania
Name:		boost-jam
Version:	3.1.16
Release:	1
License:	BSD-like
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/boost/%{name}-%{version}.tgz
# Source0-md5:	1fd96a38b1a33c365e8142eec53197e7
URL:		http://www.boost.org/
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	perl-base
BuildRequires:	sgml-tools
Provides:	jam
Obsoletes:	jam
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Boost Jam is a build tool based on FTJam, which in turn is based on
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible
with Perforce Jam.

%description -l pl.UTF-8
Boost Jam jest narzędziem służącym do budowania, opartym o FTJam,
który jest dla odmiany oparty na Perforce Jam. Zawiera znaczące
usprawnienia wprowadzone dla ułatwienia użycia w Boost Build System,
ale powinien być wstecznie kompatybilny z Perforce Jam.

%prep
%setup -q

%{__perl} -pi -e 's/-s -O /%{rpmldflags} /' build.jam

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
LOCATE_TARGET=bin \
./build.sh cc -d2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install bin/bjam $RPM_BUILD_ROOT%{_bindir}/bjam-%{version}
ln -sf bjam-%{version} $RPM_BUILD_ROOT%{_bindir}/bjam
ln -sf bjam-%{version} $RPM_BUILD_ROOT%{_bindir}/jam

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc jam LICENSE_1_0.txt index.html images boost.png boostbook.css
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: boost-jam.spec,v $
Revision 1.15  2007-12-12 00:03:14  lisu
- 3.1.16

Revision 1.14  2007-10-01 18:23:46  lisu
- up to 3.1.15
- no debian man files

Revision 1.13  2007/06/14 11:19:48  lisu
- 3.1.14

Revision 1.12  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.10  2006/07/18 12:23:31  shadzik
- up to 3.1.13 by Michał 'lisu' Lisowski

Revision 1.9  2006/04/22 17:49:28  bszx
- updated to 3.1.12

Revision 1.8  2005/09/04 15:19:31  qboosh
- updated to 3.1.11

Revision 1.7  2005/04/20 00:54:21  pluto
- BR += docbook-utils (db2man req).

Revision 1.6  2004/06/05 20:53:47  qboosh
- updated to 3.1.10

Revision 1.5  2004/01/27 15:14:58  qboosh
- Provides+Obsoletes: jam

Revision 1.4  2004/01/27 15:12:35  qboosh
- updated to 3.1.9

Revision 1.3  2004/01/02 20:20:40  qboosh
- updated to 3.1.7, fixed License, added manual

Revision 1.2  2003/12/30 00:55:21  qboosh
- cleaned up the mess; use optflags, more verbose build

Revision 1.1  2003/12/26 14:51:03  maho
- new , based on spec from Fedora
